ByteDataSource (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.attachment, class: ByteDataSource

Package org.apache.cxf.attachment

# Class ByteDataSource

java.lang.Object
org.apache.cxf.attachment.ByteDataSource

All Implemented Interfaces:
  `jakarta.activation.DataSource`

public class ByteDataSource extends Object implements jakarta.activation.DataSource

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ByteDataSource(byte[] dataParam)`
  `ByteDataSource(byte[] dataParam, int offsetParam, int lengthParam)`
  `ByteDataSource(byte[] dataParam, String ct)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContentType()`
  `byte[]`
  `getData()`
  `InputStream`
  `getInputStream()`
  `String`
  `getName()`
  `OutputStream`
  `getOutputStream()`
  `void`
  `setContentType(String contentTypeParam)`
  `void`
  `setData(byte[] dataParam)`
  `void`
  `setName(String nameParam)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ByteDataSource

    public ByteDataSource(byte[] dataParam)

  - ### ByteDataSource

    public ByteDataSource(byte[] dataParam, String ct)

  - ### ByteDataSource

    public ByteDataSource(byte[] dataParam, int offsetParam, int lengthParam)

- ## Method Details

  - ### getData

    public byte[] getData()

  - ### setData

    public void setData(byte[] dataParam)

  - ### setContentType

    public void setContentType(String contentTypeParam)

  - ### setName

    public void setName(String nameParam)

  - ### getContentType

    public String getContentType()
    Specified by:
      `getContentType` in interface `jakarta.activation.DataSource`

  - ### getInputStream

    public InputStream getInputStream() throws IOException
    Specified by:
      `getInputStream` in interface `jakarta.activation.DataSource`
    Throws:
      `IOException`

  - ### getName

    public String getName()
    Specified by:
      `getName` in interface `jakarta.activation.DataSource`

  - ### getOutputStream

    public OutputStream getOutputStream() throws IOException
    Specified by:
      `getOutputStream` in interface `jakarta.activation.DataSource`
    Throws:
      `IOException`